//---------------------------------------------------------------------------
#ifndef UPDUnzipDlgH
#define UPDUnzipDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall UnzipQSPlugins(TForm *Owner, AnsiString &zipfile, bool &runQS);

class TUPDunzipForm : public TForm
{
__published:	// IDE-managed Components
  TTimer *Timer1;
  TPanel *Panel1;
  TMemo *Memo1;
  TButton *OkBtn;
  TCheckBox *RunQSBox;
  TBevel *Bevel1;
  TLabel *Label2;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall OkBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   bool ok;
   TStringList *output;
   AnsiString unzipper,pluginzip;
   virtual __fastcall TUPDunzipForm(TComponent* Owner);
   virtual __fastcall TUPDunzipForm(TComponent* Owner, const AnsiString &UnZipper,
      AnsiString &PluginZip);
   bool __fastcall Execute(AnsiString &UnZipper, AnsiString &PluginZip);
   bool __fastcall UnpackZipTools();
   bool __fastcall UnzipPlugins();
};
//---------------------------------------------------------------------------
extern TUPDunzipForm *UPDunzipForm;
//---------------------------------------------------------------------------
#endif
